package org.rcisoft.integration.jieLink.dto;

import lombok.Data;

/**
 * 捷顺设备信息
 */
@Data
public class JieLinkDeviceDto {

    /**
     * <pre>
     * 捷顺设备唯一标识
     * </pre>
     *
     */
    private String deviceGuid;

    /**
     * <pre>
     *设备 ID
     * </pre>
     */
    private String deviceId;

    /**
     * <pre>
     * 设备名称
     * </pre>
     */
    private String deviceName;

    /**
     *设备 IP
     */
    private String deviceIp;

    /**
     *网关
     */
    private String deviceGateway;

    /**
     *子网掩码
     */
    private String deviceNetmask;

    /**
     * 设备类型
     * 未知类型
     */
    private Integer deviceType;

    /**
     *出入口类型
     * 0 其他设备
     * 1 大车场入口
     * 2 大车场出口
     * 3 小车场入口
     * 4 小车场出口
     * 5 中央收费机
     * 6 中央收费机(带吞卡机的出口)
     */
    private Integer deviceIoType;


    /**
     * 设备父级ID
     */
    private String parentId;

    /**
     * 父级设备名称
     */
    private String parentName;

    /**
     * 备注
     */
    private String remark;
}
